オンライン中  

/v1/account/

Manages Access to the AppointmentTrader Account
GET

/v1/account/get_incoming_payment_session

#
Returns details of the incoming payment session and information on whether it has been completed or is still pending.

パラメーター

名前型必須既定値説明
uniquePaymentSessionID string はい — unique session id returned by /v1/account/set_start_incoming_payment_session
リクエスト例(cURL)
curl --get \
  'https://jp.appointmenttrader.com/v1/account/get_incoming_payment_session' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'uniquePaymentSessionID={{uniquePaymentSessionID}}'

戻り値

JSON
See the shared response schema and synthetic example.
レスポンスフィールド
フィールド型必須説明
$account_get_incoming_payment_session_Response はい
$.oneOf[0] はい
$.oneOf[0].allOf[0]object はい
$.oneOf[0].allOf[0].RequestUserAliasstring はい
$.oneOf[0].allOf[0].RequestPathstring | null はい
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" はい
$.oneOf[0].allOf[0].ResponseCodeinteger はい
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring いいえ
$.oneOf[0].allOf[1]object はい
$.oneOf[0].allOf[1].Payloadobject はい
$.oneOf[0].allOf[1].Payload.Namestring はい
$.oneOf[0].allOf[1].Payload.MetaInformationarray はい
$.oneOf[0].allOf[1].Payload.MetaInformation[]string いいえ
$.oneOf[0].allOf[1].Payload.KeyValueListarray はい
$.oneOf[0].allOf[1].Payload.KeyValueList[]object いいえ
$.oneOf[0].allOf[1].Payload.KeyValueList[].uniquePaymentSessionIDstring はい
$.oneOf[0].allOf[1].Payload.KeyValueList[].createDatestring はい
$.oneOf[0].allOf[1].Payload.KeyValueList[].lastUpdateDatestring はい
$.oneOf[0].allOf[1].Payload.KeyValueList[].expiryDatestring はい
$.oneOf[0].allOf[1].Payload.KeyValueList[].sessionStatusstring ["active","expired"] はい
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentTypestring はい
$.oneOf[0].allOf[1].Payload.KeyValueList[].remainingSessionLifetimeInSecondsDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].remainingSessionLifetimeInSeconds.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.KeyValueList[].remainingSessionLifetimeInSeconds.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.KeyValueList[].userAliasstring はい
$.oneOf[0].allOf[1].Payload.KeyValueList[].transactionReferenceIDstring はい
$.oneOf[0].allOf[1].Payload.KeyValueList[].transactionDescriptionstring はい
$.oneOf[0].allOf[1].Payload.KeyValueList[].grossAmountDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].grossAmount.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.KeyValueList[].grossAmount.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.KeyValueList[].discountedAmountDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].discountedAmount.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.KeyValueList[].discountedAmount.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails はい
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0]object はい
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].DestinationAccountstring いいえ
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*PaymentConfigurationValue いいえ
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[0]string | number | boolean | null いいえ
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[1]array いいえ
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[1][]PaymentConfigurationValue いいえ
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[2]object いいえ
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[2].*PaymentConfigurationValue いいえ
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1]array はい
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][]PaymentConfigurationValue いいえ
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[0]string | number | boolean | null いいえ
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[1]array いいえ
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[1][]PaymentConfigurationValue いいえ
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[2]object いいえ
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[2].*PaymentConfigurationValue いいえ
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[2]string | number | boolean | null はい
$.oneOf[0].allOf[1].Payload.KeyValueList[].fundingStatusstring ["not_funded","funded"] はい
$.oneOf[0].allOf[1].Payload.KeyValueFieldListarray はい
$.oneOf[0].allOf[1].Payload.KeyValueFieldList[]string いいえ
$.oneOf[1]object はい
$.oneOf[1].RequestUserAliasstring はい
$.oneOf[1].RequestPathstring | null はい
$.oneOf[1].RequestStatus = "Failed" はい
$.oneOf[1].ResponseCodeinteger はい
$.oneOf[1].ResponseMessageAPIResponseMessage はい
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[1].ResponseMessage.oneOf[1]array はい
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[1].ResponseMessage.oneOf[2]object はい
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[1].RequestImpersonatedByUserAliasstring いいえ
レスポンス例
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/account/get_incoming_payment_session",
    "RequestUserAlias": "example-user",
    "Payload": {
        "Name": "synthetic-example",
        "MetaInformation": [],
        "KeyValueList": [],
        "KeyValueFieldList": []
    }
}
機械可読のエンドポイントドキュメント
GET

/v1/account/get_ledger

#
Returns paginated ledger entries for one account owned by the acting API user. Admin tools should access another user's ledger through the dispatcher impersonationUserAlias parameter; this endpoint still validates the account against the effective API user.

パラメーター

名前型必須既定値説明
accountID string はい — Account ID owned by the acting API user.
pageNumber int いいえ 0 Zero-based page number.
pageLength int いいえ 50 Number of ledger rows to return, capped at 200.
リクエスト例(cURL)
curl --get \
  'https://jp.appointmenttrader.com/v1/account/get_ledger' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'accountID={{accountID}}' \
  --data-urlencode 'pageNumber={{pageNumber}}' \
  --data-urlencode 'pageLength={{pageLength}}'

戻り値

JSON
See the shared response schema and synthetic example.
レスポンスフィールド
フィールド型必須説明
$account_get_ledger_Response はい
$.oneOf[0] はい
$.oneOf[0].allOf[0]object はい
$.oneOf[0].allOf[0].RequestUserAliasstring はい
$.oneOf[0].allOf[0].RequestPathstring | null はい
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" はい
$.oneOf[0].allOf[0].ResponseCodeinteger はい
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring いいえ
$.oneOf[0].allOf[1]object はい
$.oneOf[0].allOf[1].Payloadobject はい
$.oneOf[0].allOf[1].Payload.Accountobject はい
$.oneOf[0].allOf[1].Payload.Account.Currencystring はい
$.oneOf[0].allOf[1].Payload.Account.CurrencySymbolstring はい
$.oneOf[0].allOf[1].Payload.Account.CreatedDatestring はい
$.oneOf[0].allOf[1].Payload.Account.LastUpdateDatestring はい
$.oneOf[0].allOf[1].Payload.Account.Namestring はい
$.oneOf[0].allOf[1].Payload.Account.Descriptionstring はい
$.oneOf[0].allOf[1].Payload.Account.IDDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.ID.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.Account.ID.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.Account.ATUser_IDDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.ATUser_ID.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.Account.ATUser_ID.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.Account.CurrencyCreditLimitDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.CurrencyCreditLimit.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.Account.CurrencyCreditLimit.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.Account.PayoutDefaultBasisPointsDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.PayoutDefaultBasisPoints.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.Account.PayoutDefaultBasisPoints.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.Account.PointsCreditLimitDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.PointsCreditLimit.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.Account.PointsCreditLimit.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.Account.IsATCorporateAccountDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.IsATCorporateAccount.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.Account.IsATCorporateAccount.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.Account.IsDefaultDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.IsDefault.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.Account.IsDefault.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.Account.IsDepositAccountDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.IsDepositAccount.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.Account.IsDepositAccount.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.Account.CurrencyBalanceDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.CurrencyBalance.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.Account.CurrencyBalance.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.Account.PointsBalanceDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.PointsBalance.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.Account.PointsBalance.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.Ledgerarray はい
$.oneOf[0].allOf[1].Payload.Ledger[]object いいえ
$.oneOf[0].allOf[1].Payload.Ledger[].CreatedDatestring はい
$.oneOf[0].allOf[1].Payload.Ledger[].LastUpdateDatestring はい
$.oneOf[0].allOf[1].Payload.Ledger[].Namestring はい
$.oneOf[0].allOf[1].Payload.Ledger[].Descriptionstring はい
$.oneOf[0].allOf[1].Payload.Ledger[].ConfirmationObjectstring はいStored provider/audit content is returned as text; it is not decoded into a JSON object by this endpoint.
$.oneOf[0].allOf[1].Payload.Ledger[].IDDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].ID.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.Ledger[].ID.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.Ledger[].CurrencyAmountDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].CurrencyAmount.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.Ledger[].CurrencyAmount.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.Ledger[].PointsAmountDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].PointsAmount.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.Ledger[].PointsAmount.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.Ledger[].CurrencyBalanceDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].CurrencyBalance.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.Ledger[].CurrencyBalance.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.Ledger[].PointsBalanceDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].PointsBalance.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.Ledger[].PointsBalance.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccountsLedger_ID はい
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccountsLedger_ID.anyOf[0]DatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccountsLedger_ID.anyOf[0].oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccountsLedger_ID.anyOf[0].oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccountsLedger_ID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccounts_ID はい
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccounts_ID.anyOf[0]DatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccounts_ID.anyOf[0].oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccounts_ID.anyOf[0].oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccounts_ID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.Ledger[].Destination-ATAccounts_ID はい
$.oneOf[0].allOf[1].Payload.Ledger[].Destination-ATAccounts_ID.anyOf[0]DatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].Destination-ATAccounts_ID.anyOf[0].oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.Ledger[].Destination-ATAccounts_ID.anyOf[0].oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.Ledger[].Destination-ATAccounts_ID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.Ledger[].ATUserPaymentMethods_ID はい
$.oneOf[0].allOf[1].Payload.Ledger[].ATUserPaymentMethods_ID.anyOf[0]DatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].ATUserPaymentMethods_ID.anyOf[0].oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.Ledger[].ATUserPaymentMethods_ID.anyOf[0].oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.Ledger[].ATUserPaymentMethods_ID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.Ledger[].ConfirmationID はい
$.oneOf[0].allOf[1].Payload.Ledger[].ConfirmationID.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.Ledger[].ConfirmationID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.Ledger[].SupplementalURL はい
$.oneOf[0].allOf[1].Payload.Ledger[].SupplementalURL.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.Ledger[].SupplementalURL.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.Ledger[].Stripe-RefundObject はいStored provider/audit content is returned as text; it is not decoded into a JSON object by this endpoint.
$.oneOf[0].allOf[1].Payload.Ledger[].Stripe-RefundObject.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.Ledger[].Stripe-RefundObject.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.Ledger[].Stripe-DisputeObject はいStored provider/audit content is returned as text; it is not decoded into a JSON object by this endpoint.
$.oneOf[0].allOf[1].Payload.Ledger[].Stripe-DisputeObject.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.Ledger[].Stripe-DisputeObject.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.Ledger[].Checkout-RefundObject はいStored provider/audit content is returned as text; it is not decoded into a JSON object by this endpoint.
$.oneOf[0].allOf[1].Payload.Ledger[].Checkout-RefundObject.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.Ledger[].Checkout-RefundObject.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.Ledger[].Checkout-DisputeObject はいStored provider/audit content is returned as text; it is not decoded into a JSON object by this endpoint.
$.oneOf[0].allOf[1].Payload.Ledger[].Checkout-DisputeObject.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.Ledger[].Checkout-DisputeObject.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.Ledger[].RefundInstruction はいStored provider/audit content is returned as text; it is not decoded into a JSON object by this endpoint.
$.oneOf[0].allOf[1].Payload.Ledger[].RefundInstruction.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.Ledger[].RefundInstruction.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.Ledger[].TransactionTypestring ["DEBIT","CREDIT"] はい
$.oneOf[0].allOf[1].Payload.Pageobject はい
$.oneOf[0].allOf[1].Payload.Page.PageNumberinteger はい
$.oneOf[0].allOf[1].Payload.Page.PageLengthinteger はい
$.oneOf[0].allOf[1].Payload.Page.NextPageNumber はい
$.oneOf[0].allOf[1].Payload.Page.NextPageNumber.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.Page.NextPageNumber.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.Page.PreviousPageNumber はい
$.oneOf[0].allOf[1].Payload.Page.PreviousPageNumber.anyOf[0]integer はい
$.oneOf[0].allOf[1].Payload.Page.PreviousPageNumber.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.Page.HasMoreboolean はい
$.oneOf[1]object はい
$.oneOf[1].RequestUserAliasstring はい
$.oneOf[1].RequestPathstring | null はい
$.oneOf[1].RequestStatus = "Failed" はい
$.oneOf[1].ResponseCodeinteger はい
$.oneOf[1].ResponseMessageAPIResponseMessage はい
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[1].ResponseMessage.oneOf[1]array はい
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[1].ResponseMessage.oneOf[2]object はい
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[1].RequestImpersonatedByUserAliasstring いいえ
レスポンス例
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/account/get_ledger",
    "RequestUserAlias": "example-user",
    "Payload": {
        "Account": {
            "Currency": "synthetic-example",
            "CurrencySymbol": "synthetic-example",
            "CreatedDate": "synthetic-example",
            "LastUpdateDate": "synthetic-example",
            "Name": "synthetic-example",
            "Description": "synthetic-example",
            "ID": 0,
            "ATUser_ID": 0,
            "CurrencyCreditLimit": 0,
            "PayoutDefaultBasisPoints": 0,
            "PointsCreditLimit": 0,
            "IsATCorporateAccount": 0,
            "IsDefault": 0,
            "IsDepositAccount": 0,
            "CurrencyBalance": 0,
            "PointsBalance": 0
        },
        "Ledger": [],
        "Page": {
            "PageNumber": 0,
            "PageLength": 0,
            "NextPageNumber": 0,
            "PreviousPageNumber": 0,
            "HasMore": false
        }
    }
}
機械可読のエンドポイントドキュメント
GET

/v1/account/get_list

#
Returns all available user accounts including their balances and if applicable credit limits in the smallest possible currency unit

パラメーター

名前型必須既定値説明
searchFilter string いいえ "" filter criteria
includeDepositAccount bool いいえ false defines if deposit account should be return
pageSize int いいえ 50 Defines how many results will be return per request
pageNumber int いいえ 0 Defines which page should be returned
includeCorporateAccounts bool いいえ false Admin-only flag to include corporate accounts owned by the inspected user.
includeHiddenAccounts bool いいえ false Admin-only flag to include hidden accounts owned by the inspected user.
リクエスト例(cURL)
curl --get \
  'https://jp.appointmenttrader.com/v1/account/get_list' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'searchFilter={{searchFilter}}' \
  --data-urlencode 'includeDepositAccount={{includeDepositAccount}}' \
  --data-urlencode 'pageSize={{pageSize}}' \
  --data-urlencode 'pageNumber={{pageNumber}}' \
  --data-urlencode 'includeCorporateAccounts={{includeCorporateAccounts}}' \
  --data-urlencode 'includeHiddenAccounts={{includeHiddenAccounts}}'

戻り値

JSON
See the shared response schema and synthetic example.
レスポンスフィールド
フィールド型必須説明
$account_get_list_Response はい
$.oneOf[0] はい
$.oneOf[0].allOf[0]object はい
$.oneOf[0].allOf[0].RequestUserAliasstring はい
$.oneOf[0].allOf[0].RequestPathstring | null はい
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" はい
$.oneOf[0].allOf[0].ResponseCodeinteger はい
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring いいえ
$.oneOf[0].allOf[1]object はい
$.oneOf[0].allOf[1].Payloadobject はい
$.oneOf[0].allOf[1].Payload.ATResponseObjectType = "NestedKeyValueList" はい
$.oneOf[0].allOf[1].Payload.ResponseBodyobject はい
$.oneOf[0].allOf[1].Payload.ResponseBody.Namestring はい
$.oneOf[0].allOf[1].Payload.ResponseBody.MetaInformationarray はい
$.oneOf[0].allOf[1].Payload.ResponseBody.MetaInformation[]string いいえ
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueListarray はい
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[]object いいえ
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountNamestring はい
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountDescriptionstring はい
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencystring はい
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencySymbolstring はい
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountNameAndBalancestring はい
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountIDDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountID.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountID.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencyBalanceDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencyBalance.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencyBalance.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountPointsBalanceDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountPointsBalance.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountPointsBalance.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencyCreditLimitDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencyCreditLimit.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencyCreditLimit.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountPointsCreditLimitDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountPointsCreditLimit.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountPointsCreditLimit.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountIsCorporateDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountIsCorporate.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountIsCorporate.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountAvailableCurrencyBalancenumber はい
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountAvailablePointsBalancenumber はい
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueFieldListarray はい
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueFieldList[]string いいえ
$.oneOf[1]object はい
$.oneOf[1].RequestUserAliasstring はい
$.oneOf[1].RequestPathstring | null はい
$.oneOf[1].RequestStatus = "Failed" はい
$.oneOf[1].ResponseCodeinteger はい
$.oneOf[1].ResponseMessageAPIResponseMessage はい
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[1].ResponseMessage.oneOf[1]array はい
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[1].ResponseMessage.oneOf[2]object はい
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[1].RequestImpersonatedByUserAliasstring いいえ
レスポンス例
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/account/get_list",
    "RequestUserAlias": "example-user",
    "Payload": {
        "ATResponseObjectType": "NestedKeyValueList",
        "ResponseBody": {
            "Name": "synthetic-example",
            "MetaInformation": [],
            "KeyValueList": [],
            "KeyValueFieldList": []
        }
    }
}
機械可読のエンドポイントドキュメント
POST

/v1/account/set_start_incoming_payment_session

#
Creates an incoming payments session which will be credited to API users main account. The gross amount will be discounted, and the discounted expected payment will be returned

パラメーター

名前型必須既定値説明
paymentType string はい — Type of payment used
grossAmount int はい — Amount that shall be received by the transaction
transactionReferenceID string はい — this reference number can be used to avoid creating new payments sessions for the same checkout flow, if an active payments session for this transactionReferenceID exists the ExpiryTime will extended by the payment types sessionLifetime
transactionDescription string はい — this description will reflect on the users account detailing what the charge was for.
isWritingRequest bool いいえ false all set_[...] functions have this parameter - if false (which is default) the method will execute without writing any data. Set this parameter to true once you are sure that you tested your logic and want to execute a writing request
リクエスト例(cURL)
curl --request POST \
  'https://jp.appointmenttrader.com/v1/account/set_start_incoming_payment_session' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'paymentType={{paymentType}}' \
  --data-urlencode 'grossAmount={{grossAmount}}' \
  --data-urlencode 'transactionReferenceID={{transactionReferenceID}}' \
  --data-urlencode 'transactionDescription={{transactionDescription}}' \
  --data-urlencode 'isWritingRequest={{isWritingRequest}}'

戻り値

JSON
See the shared response schema and synthetic example.
レスポンスフィールド
フィールド型必須説明
$account_set_start_incoming_payment_session_Response はい
$.oneOf[0] はい
$.oneOf[0].allOf[0]object はい
$.oneOf[0].allOf[0].RequestUserAliasstring はい
$.oneOf[0].allOf[0].RequestPathstring | null はい
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" はい
$.oneOf[0].allOf[0].ResponseCodeinteger はい
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring いいえ
$.oneOf[0].allOf[1]object はい
$.oneOf[0].allOf[1].Payloadobject はい
$.oneOf[0].allOf[1].Payload.Namestring はい
$.oneOf[0].allOf[1].Payload.MetaInformationarray はい
$.oneOf[0].allOf[1].Payload.MetaInformation[]string いいえ
$.oneOf[0].allOf[1].Payload.KeyValueListarray はい
$.oneOf[0].allOf[1].Payload.KeyValueList[]object いいえ
$.oneOf[0].allOf[1].Payload.KeyValueList[].uniquePaymentSessionIDstring はい
$.oneOf[0].allOf[1].Payload.KeyValueList[].createDatestring はい
$.oneOf[0].allOf[1].Payload.KeyValueList[].lastUpdateDatestring はい
$.oneOf[0].allOf[1].Payload.KeyValueList[].expiryDatestring はい
$.oneOf[0].allOf[1].Payload.KeyValueList[].sessionStatusstring ["active","expired"] はい
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentTypestring はい
$.oneOf[0].allOf[1].Payload.KeyValueList[].remainingSessionLifetimeInSecondsDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].remainingSessionLifetimeInSeconds.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.KeyValueList[].remainingSessionLifetimeInSeconds.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.KeyValueList[].userAliasstring はい
$.oneOf[0].allOf[1].Payload.KeyValueList[].transactionReferenceIDstring はい
$.oneOf[0].allOf[1].Payload.KeyValueList[].transactionDescriptionstring はい
$.oneOf[0].allOf[1].Payload.KeyValueList[].grossAmountDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].grossAmount.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.KeyValueList[].grossAmount.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.KeyValueList[].discountedAmountDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].discountedAmount.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.KeyValueList[].discountedAmount.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails はい
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0]object はい
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].DestinationAccountstring いいえ
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*PaymentConfigurationValue いいえ
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[0]string | number | boolean | null いいえ
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[1]array いいえ
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[1][]PaymentConfigurationValue いいえ
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[2]object いいえ
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[2].*PaymentConfigurationValue いいえ
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1]array はい
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][]PaymentConfigurationValue いいえ
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[0]string | number | boolean | null いいえ
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[1]array いいえ
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[1][]PaymentConfigurationValue いいえ
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[2]object いいえ
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[2].*PaymentConfigurationValue いいえ
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[2]string | number | boolean | null はい
$.oneOf[0].allOf[1].Payload.KeyValueList[].fundingStatusstring ["not_funded","funded"] はい
$.oneOf[0].allOf[1].Payload.KeyValueFieldListarray はい
$.oneOf[0].allOf[1].Payload.KeyValueFieldList[]string いいえ
$.oneOf[1]object はい
$.oneOf[1].RequestUserAliasstring はい
$.oneOf[1].RequestPathstring | null はい
$.oneOf[1].RequestStatus = "Failed" はい
$.oneOf[1].ResponseCodeinteger はい
$.oneOf[1].ResponseMessageAPIResponseMessage はい
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[1].ResponseMessage.oneOf[1]array はい
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[1].ResponseMessage.oneOf[2]object はい
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[1].RequestImpersonatedByUserAliasstring いいえ
レスポンス例
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/account/set_start_incoming_payment_session",
    "RequestUserAlias": "example-user",
    "Payload": {
        "Name": "synthetic-example",
        "MetaInformation": [],
        "KeyValueList": [],
        "KeyValueFieldList": []
    }
}
機械可読のエンドポイントドキュメント